Package org.jfree.layouting.modules.output.pdf

## Class PdfDocumentWriter

- java.lang.Object
- - org.jfree.layouting.modules.output.pdf.PdfDocumentWriter

-     public class PdfDocumentWriter
      extends java.lang.Object

  Creation-Date: 02.12.2006, 17:49:47
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdfDocumentWriter​(org.pentaho.reporting.libraries.base.config.Configuration config, java.io.OutputStream out, PdfOutputProcessorMetaData metaData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close​()` | Closes the document.
    `com.lowagie.text.Document` | `getDocument​()` |
    `void` | `open​()` |
    `protected void` | `processLogicalPage​(LogicalPageKey key, LogicalPageBox logicalPage)` |
    `protected void` | `processPhysicalPage​(PageGrid pageGrid, LogicalPageBox logicalPage, int row, int col, PhysicalPageKey pageKey)` |
    `void` | `setDocument​(com.lowagie.text.Document document)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfDocumentWriter

          public PdfDocumentWriter​(org.pentaho.reporting.libraries.base.config.Configuration config,
                                   java.io.OutputStream out,
                                   PdfOutputProcessorMetaData metaData)

  - ### Method Detail

    - #### getDocument

          public com.lowagie.text.Document getDocument​()

    - #### setDocument

          public void setDocument​(com.lowagie.text.Document document)

    - #### open

          public void open​()
                    throws com.lowagie.text.DocumentException

      Throws:
        `com.lowagie.text.DocumentException`

    - #### processPhysicalPage

          protected void processPhysicalPage​(PageGrid pageGrid,
                                             LogicalPageBox logicalPage,
                                             int row,
                                             int col,
                                             PhysicalPageKey pageKey)
                                      throws com.lowagie.text.DocumentException

      Throws:
        `com.lowagie.text.DocumentException`

    - #### processLogicalPage

          protected void processLogicalPage​(LogicalPageKey key,
                                            LogicalPageBox logicalPage)
                                     throws com.lowagie.text.DocumentException

      Throws:
        `com.lowagie.text.DocumentException`

    - #### close

          public void close​()

      Closes the document.